Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoOneShot Class Reference
[Engine classes]

`#include <Inventor/engines/SoOneShot.h>`

Inheritance diagram for SoOneShot:

List of all members.

## Detailed Description

The SoOneShot class is a timer that runs for a configurable time and then stops.

## Public Types
enum | Flags { RETRIGGERABLE = 1, HOLD_FINAL = 2 }
## Public Member Functions
| SoOneShot (void)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoSFTime | timeIn
SoSFTime | duration
SoSFTrigger | trigger
SoSFBitMask | flags
SoSFBool | disable
SoEngineOutput | timeOut
SoEngineOutput | isActive
SoEngineOutput | ramp
## Protected Member Functions
| ~SoOneShot ()

## Member Enumeration Documentation

enum SoOneShot::Flags

| There are two flags available: `RETRIGGERABLE` will cause the engine to restart at 0 if the SoOneShot::trigger field is activated during a run (otherwise the trigger is ignored during runs). `HOLD_FINAL` will make the engine outputs keep their values after a run, instead of resetting them.

## Constructor & Destructor Documentation

SoOneShot::SoOneShot | ( | void |  | ) |

| Default constructor.

SoOneShot::~SoOneShot | ( |  | ) | `[protected]`

| Destructor is protected to avoid explicit destruction.

## Member Function Documentation

void SoOneShot::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoEngine.

## Member Data Documentation

SoSFTime SoOneShot::timeIn

| Input time source. Connected by default to the realTime global field, but the application programmer is free to change this to any other time source.

SoSFTime SoOneShot::duration

| The time the engine should run for when it is triggered. Defaults to 1 second.

SoSFTrigger SoOneShot::trigger

| A pulse on this input field starts the engine.

SoSFBitMask SoOneShot::flags

| Control flags. See SoOneShot::Flags. Reimplemented from SoEngine.

SoSFBool SoOneShot::disable

| Set to `TRUE` to disable the engine completely.

SoEngineOutput SoOneShot::timeOut

| (SoSFTime) Output time. Will run from 0 to the value of SoOneShot::duration.

SoEngineOutput SoOneShot::isActive

| (SoSFBool) `TRUE` while the engine is running, `FALSE` otherwise.

SoEngineOutput SoOneShot::ramp

| (SoSFFloat) Will run from 0 to 1 during the active period.

The documentation for this class was generated from the following files:

- SoOneShot.h
- SoOneShot.cpp